## ros-indigo-rosbridge-library 0.7.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_library)

find_package(catkin REQUIRED COMPONENTS message_generation rospy std_msgs geometry_msgs)

# Generate messages for testing (NOINSTALL)
add_message_files(
  FILES
  Num.msg
  TestChar.msg
  TestDurationArray.msg
  TestHeaderArray.msg
  TestHeader.msg
  TestHeaderTwo.msg
  TestTimeArray.msg
  TestUInt8.msg
  TestUInt8FixedSizeArray16.msg
  NOINSTALL
)

# Generate services for testing (NOINSTALL)
add_service_files(
  FILES
  AddTwoInts.srv
  SendBytes.srv
  TestArrayRequest.srv
  TestEmpty.srv
  TestMultipleRequestFields.srv
  TestMultipleResponseFields.srv
  TestNestedService.srv
  TestRequestAndResponse.srv
  TestRequestOnly.srv
  TestResponseOnly.srv
  NOINSTALL
)

catkin_python_setup()

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs geometry_msgs
)

# Test launch files
# add_rostest(test/test_all.test)

=== debian/changelog ===
ros-indigo-rosbridge-library (0.7.16-0trusty) trusty; urgency=high

  * Fixed deprecated code in pillow
  * Contributors: vladrotea

 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Aug 2016 22:00:00 -0000

ros-indigo-rosbridge-library (0.7.15-0trusty) trusty; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 24 Apr 2016 22:00:00 -0000

ros-indigo-rosbridge-library (0.7.14-0trusty) trusty; urgency=high

  * Another fix for code
  * Replaced += with ''.join() for python code
  * Default Protocol delay_between_messages = 0
    This prevents performance problems when multiple clients are subscribing to high frequency topics.
    Fixes #203 <https://github.com/RobotWebTools/rosbridge_suite/issues/203>
  * Contributors: Matt Vollrath, kiloreux

 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Feb 2016 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.13-0trusty) trusty; urgency=high

  * Nevermind o_O
  * Add test_depend too (just in case)
  * Add dependency on python bson
  * Get parameter at encode time
  * Add flag for using the bson encoding
  * revert comment regarding unpublisher
  * avoiding racing condition
  * Add bson encoding to the server side
  * Fix catkin_lint issues
  * don't unregister topic from rosbridge. It creates md5 sum warning.. #138
  * Contributors: David Lu, Jihoon Lee, Matt Vollrath, dwlee

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Aug 2015 22:00:00 -0000

ros-indigo-rosbridge-library (0.7.12-0trusty) trusty; urgency=high

  * use <test_depend> for test dependencies
  * use rospy.resolve_name for namespaced service calls
  * fix resolving namespaced service calls
  * Contributors: Ramon Wijnands

 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 22:00:00 -0000

ros-indigo-rosbridge-library (0.7.11-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 22 Mar 2015 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.10-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Feb 2015 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 15 Jan 2015 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 05 Jan 2015 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.6-0trusty) trusty; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * rewrite of advertise service
  * cleanup init function
  * matches original call_service
  * matches original call_service
  * service_request --> reuse of call_service (previously defined)
  * stop_service --> unadvertise_service
  * service_name --> service
  * service_type --> type
  * removed service_module
  * request_id --> id
  * Contributors: Jihoon Lee, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 25 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.2-0trusty) trusty; urgency=high

  * 0.7.1
  * update changelog
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.7.0-0trusty) trusty; urgency=high

  * rewrite of advertise service
  * cleanup init function
  * matches original call_service
  * matches original call_service
  * service_request --> reuse of call_service (previously defined)
  * stop_service --> unadvertise_service
  * service_name --> service
  * service_type --> type
  * removed service_module
  * request_id --> id
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 01 Dec 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.6.8-0trusty) trusty; urgency=high

  * add a lock to calls to load_manifest - apparently, it's not thread safe
    fixes #103 and #108
  * Contributors: Nils Berg

 -- Russell Toris <rctoris@wpi.edu>  Tue, 04 Nov 2014 23:00:00 -0000

ros-indigo-rosbridge-library (0.6.7-0trusty) trusty; urgency=high

  * updated package manifests
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 21 Oct 2014 22:00:00 -0000

ros-indigo-rosbridge-library (0.6.6-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Mon, 20 Oct 2014 22:00:00 -0000

ros-indigo-rosbridge-library (0.6.5-0trusty) trusty; urgency=high

  * 0.6.4
  * update changelog
  * modify tests
    less duplicated code, some other changes to (hopefully) improve reliability. Tested locally about 30 times without encountering any failures.
  * Change the behavior of MessageHandler.transition()
    Now reflects usage in the tests, i.e. a QueueMessageHandler only needs queue_length to be defined, not throttle_rate.
  * 0.6.3
  * update change log
  * install util python module to fix #128
  * Contributors: Jihoon Lee, Nils Berg

 -- Brandon Alexander <baalexander@gmail.com>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-rosbridge-library (0.6.4-0trusty) trusty; urgency=high



 -- Brandon Alexander <baalexander@gmail.com>  Tue, 07 Oct 2014 22:00:00 -0000

ros-indigo-rosbridge-library (0.6.3-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-rosbridge-library
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python-bson, python-imaging, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-rospy, ros-indigo-rospy-tutorials, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-msgs, ros-indigo-tf2-msgs, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-indigo-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bson, python-imaging, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rosgraph, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-rostopic, ros-indigo-std-msgs
Description: The core rosbridge package, repsonsible for interpreting JSON andperforming the appropriate ROS action, like subscribe, publish, call service, and interact with params.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosbridge-library//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
